## wise 2.4.1

=== src/HMMer2/Makefile ===
# Makefile for HMMER: Source directory
# RCS $Id: Makefile,v 1.1.1.1 2001/06/18 13:59:47 birney Exp $
##########
# HMMER - Biological sequence analysis with HMMs
# Copyright (C) 1992-1998 Sean R. Eddy
#
#   This source code is distributed under the terms of the 
#   GNU General Public License. See the files COPYING and 
#   LICENSE for details.
#    
###########

## your compiler and compiler flags
#
CC     = cc
CFLAGS = -g 

## machine specific definitions
#
MDEFS = 

## archiving command, and ranlib command if you need one.
#  In general, you shouldn't need to change these, and they're
#  only used for building the Shiva testsuite anyway.
#
AR     = ar rcv 
RANLIB = ranlib



#######
## You should not need to modify below this line
#######
SHELL  = /bin/sh
LIBS   = -lm

PROGS = hmmalign hmmbuild hmmcalibrate hmmconvert hmmemit hmmpfam hmmsearch 

HDRS =  config.h funcs.h globals.h structs.h version.h

SQUIDHDRS = gnuregex.h squid.h sqfuncs.h 

SRC =   hmmalign.c    hmmbuild.c        hmmcalibrate.c    hmmconvert.c\
        hmmpfam.c     hmmsearch.c\
	alphabet.c    core_algorithms.c debug.c           emit.c\
	emulation.c   histogram.c       hmmio.c           mathsupport.c\
        masks.c       misc.c            modelmakers.c     plan7.c\
	plan9.c	      prior.c           tophits.c         trace.c

SQUIDSRC = aligneval.c  alignio.c   cluster.c   dayhoff.c\
	   file.c       getopt.c    gnuregex.c  interleaved.c\
	   iupac.c      msf.c       revcomp.c   selex.c\
	   sqerror.c    sqio.c      sre_ctype.c sre_math.c\
	   sre_string.c stack.c     translate.c types.c\
	   weight.c

OBJ =  	alphabet.o    core_algorithms.o debug.o	          emit.o\
	emulation.o   histogram.o       hmmio.o           mathsupport.o\
        masks.o       misc.o            modelmakers.o     plan7.o\
	plan9.o       prior.o           tophits.o         trace.o\
        aligneval.o   alignio.o         cluster.o         dayhoff.o\
	file.o        getopt.o          gnuregex.o        interleaved.o\
	iupac.o       msf.o             revcomp.o         selex.o\
	sqerror.o     sqio.o            sre_ctype.o       sre_math.o\
	sre_string.o  stack.o           translate.o       types.o\
	weight.o

.c.o:
	$(CC) $(CFLAGS) $(MDEFS) -c $<		

#######
## Targets defining how to make HMMER executables.
#######

all: 	$(PROGS)

hmmalign: $(OBJ) hmmalign.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmalign.o $(OBJ) $(LIBS) 

hmmbuild: $(OBJ) hmmbuild.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmbuild.o $(OBJ) $(LIBS) 

hmmcalibrate: $(OBJ) hmmcalibrate.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmcalibrate.o $(OBJ) $(LIBS) 

hmmconvert: $(OBJ) hmmconvert.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmconvert.o $(OBJ) $(LIBS) 

hmmemit: $(OBJ) hmmemit.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmemit.o $(OBJ) $(LIBS) 

hmmpfam: $(OBJ) hmmpfam.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmpfam.o $(OBJ) $(LIBS) 

hmmsearch: $(OBJ) hmmsearch.o
	$(CC) $(CFLAGS) $(MDEFS) -o $@ hmmsearch.o $(OBJ) $(LIBS) 

#######
## Target used in making Shiva test suite
#######

libhmmer.a: $(OBJ)
	$(AR) libhmmer.a $(OBJ)
	-if test -x /bin/ranlib; then /bin/ranlib libhmmer.a; else exit 0; fi
	-if test -x /usr/bin/ranlib; then /usr/bin/ranlib libhmmer.a; else exit 0; fi
	-if test -x $(RANLIB); then $(RANLIB) libhmmer.a; else exit 0; fi
	chmod 644 libhmmer.a


#######
## Targets defining different build styles;
#######

# Make a "production" copy
prodv:
	make clean
	make CFLAGS="-O2" MDEFS="" LIBS="-lm"

# Make a debugging copy
dbv:
	make clean	
	make CFLAGS="-g -Wall -pedantic" MDEFS="" LIBS="-lm"

# Make a memory debugging copy
memv: 
	make clean	
	make CFLAGS="-g -Wall" MDEFS="-DMEMDEBUG -L." LIBS="-lm -ldbmalloc"


# Make an Electric Fence version
efencev:
	make clean
	make CFLAGS="-g -Wall" MDEFS="" LIBS="-lm -lefence"

# Make a gprof version
gprofv:
	make clean
	make CFLAGS="-pg" MDEFS="" LIBS="-lm" 


#######
## Targets only used in development, irrelevant to distribution copy
#######

# Extract squid files from RCS.
squid:  
	for file in $(SQUIDHDRS); do\
	   co $(HOME)/src/squid/RCS/$$file,v $$file;\
	done
	for file in $(SQUIDSRC); do\
	   co $(HOME)/src/squid/RCS/$$file,v $$file;\
	done

#######
## Miscellaneous
#######

clean:
	-rm -f *.o *~ Makefile.bak core $(PROGS) TAGS gmon.out libhmmer.a

tags:
	etags -t $(SRC) $(HDRS) $(READMES) 

lint:
	lint $(MDEFS) $(SRC)

=== src/perl/Makefile ===

int : 
	cat top.xs ../dynlibsrc/*.xs ../models/*.xs  > Wise2/Wise2.xs
	cat basic.typemap ../dynlibsrc/*.typemap ../models/*.typemap  >  Wise2/typemap
	cat basic.h ../dynlibsrc/*api.t ../models/*api.t ../dynlibsrc/*api.h ../models/*api.h > Wise2/libs/wise2.h
	cp ../dynlibsrc/*.pod Wise2
	cp ../models/*.pod Wise2


libs :  
	perl ./makelib.pl
	cd Wise2/libs ; make libwise2.a

=== debian/changelog ===
wise (2.4.1-27) unstable; urgency=medium

  * Team upload.
  * d/patches: Add patch to fix FTBFS with GCC-15

 -- Lance Lin <lq27267@gmail.com>  Thu, 27 Mar 2025 20:42:30 +0700

wise (2.4.1-26) unstable; urgency=medium

  * Team upload.
  * d/control: Recommend xpdf instead of xpdfreader
  * Standards-Version: 4.7.2 (routine-update)
  * d/patches: Mark Forwarded as not-needed, since no upstream bug tracking
  * d/patches: Fix invalid Forwarded field in patch
  * d/patches: Add missing author field
  * d/patches: Update format on Last-Update field in patches
  * d/patches: Add patch to fix BLHC

 -- Lance Lin <lq27267@gmail.com>  Mon, 24 Mar 2025 22:32:14 +0700

wise (2.4.1-25) unstable; urgency=medium

  * Team upload.
  * gcc-14.patch: fix multiple build failures with gcc 14.
    Note that the patch alone is not sufficient as such as motifmatrix.c
    is still affected by a case of assignment to integer from pointer
    without a cast which feels like a compiler bug.  See #1075638.
  * d/control: build depends on the libfl-dev.
    Apparently the missing libl.a went below the radar for building dyc.
  * d/rules: build and provide the dyc compiler to the rest of the build.
  * d/rules: work around weird compiler behavior. (Closes: #1075638)
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Thu, 15 Aug 2024 12:15:41 +0200

wise (2.4.1-24) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)
  * d/patches: Fix implicit-function-declaration errors (Closes: #1066705)
  * d/patches: Mark patch Forwarded fields as not-needed, since no upstream
    bug tracking, and update spelling.patch
  * d/patches: Fix executable-not-elf-or-script lintian warning
  * d/watch: Remove debian uupdate and access secure uri

 -- Lance Lin <lq27267@gmail.com>  Mon, 18 Mar 2024 22:32:37 +0700

wise (2.4.1-23) unstable; urgency=medium

  * Team upload.
  * Do not hard code the build architecture pkg-config
    Closes: #958094

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 18 Apr 2020 17:57:01 +0200

wise (2.4.1-22) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building: Let dh_auto_build pass cross tools to make.
    (Closes: #956279)

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Wrap long lines in changelog entries: 2.4.0-1.
  * Use secure URI in Homepage field.
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Fix permissions of *.hmm files
  * Fix autopkgtest since data files are not compressed any more

 -- Andreas Tille <tille@debian.org>  Fri, 17 Apr 2020 15:51:34 +0200

wise (2.4.1-21) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Long description for all packages
  * Drop unneeded Testsuite: autopkgtest

 -- Andreas Tille <tille@debian.org>  Thu, 04 Oct 2018 14:49:55 +0200

wise (2.4.1-20) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * d/rules: do not parse d/changelog
  * spelling

 -- Andreas Tille <tille@debian.org>  Fri, 22 Sep 2017 10:37:28 +0200

wise (2.4.1-19) unstable; urgency=medium

  * Team upload.
  * Make build reproducible under build path variation.
    - Omit the PDF trailer ID as it is based on the original input path.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 31 Aug 2016 22:28:34 +0000

wise (2.4.1-18) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Fix dates in manual .tex files.
    - Use stable order for API inputs.
  * Bump Standards-Version.
  * Enable full hardening.
  * Use secure Vcs-Browser.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 19 May 2016 21:53:30 +0000

wise (2.4.1-17) unstable; urgency=medium

  * debian/tests/control: explicitly depend on wise.  This avoids that
    ‘sadt’ skips the test when wise-doc is not installed.
  * debian/tests/run-unit-test: skip the first line of testman.pl, that
    misses a proper shebang and trigger a failure.
  * debian/control: shorten synopsis to less than 72 characters.
  * Conforms with Policy 3.9.6.

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Sep 2014 20:14:47 +0900

wise (2.4.1-16) unstable; urgency=medium

  * Make sure package builds also for arch only builds
    Closes: #757275

 -- Andreas Tille <tille@debian.org>  Thu, 07 Aug 2014 09:49:11 +0200

wise (2.4.1-15) unstable; urgency=medium

  * Move debian/upstream to debian/upstream/metadata
  * debian/control:
     - add myself to Uploaders
     - cme fix dpkg-control
     - debhelper 9
     - remove unneeded Build-Depends
  * debian/README.source: removed in favour of DEP5 headers
  * Make sure dnal has a valid return value (this affects the test suite
    of python-biopython on some architectures - see #751277)
  * debian/rules:
     - drop useless xz compression
     - add dh_auto_test
  * debian/patches/10_fix_path_to_data_files.patch: Brute force patch to
    fix the PATH to the data files to make the tools finding the needed
    data for the test suite

 -- Andreas Tille <tille@debian.org>  Mon, 04 Aug 2014 19:25:58 +0200

wise (2.4.1-14) unstable; urgency=low

  * Fixed FTBFS bug (Closes: #716983).

 -- Philipp Benner <philipp@debian.org>  Mon, 15 Jul 2013 18:22:15 +0200



=== debian/control ===
Source: wise
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               texlive-latex-base,
               texlive-extra-utils,
               hevea,
               docbook-to-man,
               libglib2.0-dev,
               libfl-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/wise
Vcs-Git: https://salsa.debian.org/med-team/wise.git
Homepage: https://www.ebi.ac.uk/~birney/wise2/
Rules-Requires-Root: no

Package: wise
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         wise-data (= ${source:Version})
Suggests: wise-doc (= ${source:Version})
Description: comparison of biopolymers, like DNA and protein sequences
 Wise2 is a package focused on comparisons of biopolymers, commonly DNA
 and protein sequences. There are many other packages which do
 this, probably the best known being BLAST package (from NCBI) and the
 Fasta package (from Bill Pearson). There are other packages, such as
 the HMMER package (Sean Eddy) or SAM package (UC Santa Cruz) focused
 on hidden Markov models (HMMs) of biopolymers.
 .
 Wise2's particular forte is the comparison of DNA sequence at the level
 of its protein translation. This comparison allows the simultaneous
 prediction of say gene structure with homology based alignment.
 .
 Wise2 also contains other algorithms, such as the venerable Smith-Waterman
 algorithm, or more modern ones such as Stephen Altschul's generalised
 gap penalties, or even experimental ones developed in house, such as
 dba. The development of these algorithms is due to the ease of developing
 such algorithms in the environment used by Wise2.
 .
 Wise2 has also been written with an eye for reuse and maintainability.
 Although it is a pure C package you can access its functionality
 directly in Perl. Parts of the package (or the entire package) can
 be used by other C or C++ programs without namespace clashes as all
 externally linked variables have the unique identifier Wise2 prepended.

Package: wise-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: wise (= ${source:Version}),
            xpdf | pdf-viewer
Description: documentation for the wise package
 Wise2 is a package focused on comparisons of biopolymers, commonly DNA
 and protein sequences. There are many other packages which do
 this, probably the best known being BLAST package (from NCBI) and the
 Fasta package (from Bill Pearson). There are other packages, such as
 the HMMER package (Sean Eddy) or SAM package (UC Santa Cruz) focused
 on hidden Markov models (HMMs) of biopolymers.
 .
 Wise2's particular forte is the comparison of DNA sequence at the level
 of its protein translation. This comparison allows the simultaneous
 prediction of say gene structure with homology based alignment.
 .
 Wise2 also contains other algorithms, such as the venerable Smith-Waterman
 algorithm, or more modern ones such as Stephen Altschul's generalised
 gap penalties, or even experimental ones developed in house, such as
 dba. The development of these algorithms is due to the ease of developing
 such algorithms in the environment used by Wise2.
 .
 Wise2 has also been written with an eye for reuse and maintainability.
 Although it is a pure C package you can access its functionality
 directly in Perl. Parts of the package (or the entire package) can
 be used by other C or C++ programs without namespace clashes as all
 externally linked variables have the unique identifier Wise2 prepended.
 .
 This package contains the documentation for Wise2, a package focused on
 comparisons of biopolymers, commonly DNA and protein sequences.

Package: wise-data
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: wise (= ${source:Version})
Description: data files for the wise package
 Wise2 is a package focused on comparisons of biopolymers, commonly DNA
 and protein sequences. There are many other packages which do
 this, probably the best known being BLAST package (from NCBI) and the
 Fasta package (from Bill Pearson). There are other packages, such as
 the HMMER package (Sean Eddy) or SAM package (UC Santa Cruz) focused
 on hidden Markov models (HMMs) of biopolymers.
 .
 Wise2's particular forte is the comparison of DNA sequence at the level
 of its protein translation. This comparison allows the simultaneous
 prediction of say gene structure with homology based alignment.
 .
 Wise2 also contains other algorithms, such as the venerable Smith-Waterman
 algorithm, or more modern ones such as Stephen Altschul's generalised
 gap penalties, or even experimental ones developed in house, such as
 dba. The development of these algorithms is due to the ease of developing
 such algorithms in the environment used by Wise2.
 .
 Wise2 has also been written with an eye for reuse and maintainability.
 Although it is a pure C package you can access its functionality
 directly in Perl. Parts of the package (or the entire package) can
 be used by other C or C++ programs without namespace clashes as all
 externally linked variables have the unique identifier Wise2 prepended.
 .
 This package contains data files for Wise2, a package focused on
 comparisons of biopolymers, commonly DNA and protein sequences.

=== debian/tests/control ===
Tests: run-unit-test
Depends: wise, wise-data
Restrictions: allow-stderr

=== debian/watch ===
version=4

https://www.ebi.ac.uk/~birney/wise2/ (?:./)?wise(.*)\.tar\.gz
